summaryrefslogtreecommitdiff
path: root/build-0.3/install/install
diff options
context:
space:
mode:
Diffstat (limited to 'build-0.3/install/install')
-rwxr-xr-xbuild-0.3/install/install22
1 files changed, 22 insertions, 0 deletions
diff --git a/build-0.3/install/install b/build-0.3/install/install
new file mode 100755
index 0000000..20193b6
--- /dev/null
+++ b/build-0.3/install/install
@@ -0,0 +1,22 @@
+#! /usr/bin/env bash
+
+# file : build/install/install
+# author : Boris Kolpackov <boris@codesynthesis.com>
+# copyright : Copyright (c) 2004-2010 Code Synthesis Tools CC
+# license : GNU GPL v2; see accompanying LICENSE file
+
+# Run native install command if available and install-sh otherwise.
+# Also strip the -p argument (should be first) if calling install-sh
+# which doesn't support it.
+#
+
+type install >/dev/null 2>&1
+
+if [ $? -eq 0 ]; then
+ exec install $*
+else
+ if [ "$1" = "-p" ]; then
+ shift
+ fi
+ exec `dirname $0`/install-sh $*
+fi